felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Balazs Zsoldos (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FELIX-4626) maven-bundle-plugin does not insert package range to Import-Package clause
Date Thu, 27 Nov 2014 10:02:12 GMT

    [ https://issues.apache.org/jira/browse/FELIX-4626?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14227462#comment-14227462
] 

Balazs Zsoldos commented on FELIX-4626:
---------------------------------------

I tested it with several bndlib versions (newest as well) before directly from command line,
but I could not reproduce it.

I guess this has something to do with maven-bundle-plugin and bndlib connection and should
be fixed in the maven-bundle-plugin (as bndlib works well from command line)

> maven-bundle-plugin does not insert package range to Import-Package clause
> --------------------------------------------------------------------------
>
>                 Key: FELIX-4626
>                 URL: https://issues.apache.org/jira/browse/FELIX-4626
>             Project: Felix
>          Issue Type: Bug
>    Affects Versions: maven-bundle-plugin-2.5.0
>            Reporter: Balazs Zsoldos
>
> With maven-bundle-plugin 2.4.0 everything is ok:
> {code}
> Import-Package: org.everit.osgi.cache;version="[2.0,3)",org.osgi.framewo rk;version="[1.6,2)"
> {code}
> With version 2.5.0 the header is the following:
> {code}
> Import-Package: org.everit.osgi.cache,org.osgi.framework;version="1.6,2)"
> {code}
> The version range from org.everit.osgi.cache package is missing.
> __To reproduce:__
>  - Check out the repository https://github.com/everit-org/cache-noop
>  - Replace the version of maven-bundle-plugin from 2.4.0 to 2.5.0.
> The sample project and its dependency has 1-1 package.
> I created an issue for bndlib but I got the response that this might be a bug of maven-bundle-plugin.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message